MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032565Open CASCADE[OCCT] OCCT:Foundation Classespublic2021-09-09 21:032021-09-11 14:06
Reporterkgv 
Assigned Tosmoskvin 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032565: Foundation Classes, OSD_FileSystem - expose interface for registering global protocols
DescriptionOSD_FileSystem::DefaultFileSystem() is implemented by OSD_FileSystemSelector, however this is currently an unobvious implementation detail.

It is desired clearly exposing interface for registering application-provided file systems.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032099verifiedbugmaster Visualization - define OSD_FileSystem class managing opening of file streams 

-  Notes
(0103955)
git (administrator)
2021-09-09 21:04

Branch CR32565 has been created by kgv.

SHA-1: 886ffdfdfd9c862c13c1ffc5e768f7b7a464430d


Detailed log of new commits:

Author: kgv
Date: Thu Sep 9 21:04:21 2021 +0300

    0032565: Foundation Classes, OSD_FileSystem - expose interface for registering global protocols
    
    Added methods OSD_FileSystem::AddDefaultProtocol()/::RemoveDefaultProtocol()
    and fixed misleading description of OSD_FileSystemSelector::AddProtocol().
(0103956)
kgv (developer)
2021-09-09 21:05

Patch is ready for review
- OCCT: branch CR32565.
(0103993)
osa (developer)
2021-09-10 19:29

The patch was reviewed without remarks
(0104017)
smoskvin (administrator)
2021-09-11 13:28

Combination -
OCCT branch : IR-2021-09-10
master SHA - 9ae883970dd77a39d856b49e6883ed5d0e60d20f
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-10 SHA - 2d2bc879e2da9d770a1938ab3410f5885c8555e7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17358.54000000042 / 17496.500000000422 [-0.79%]
Products
Total CPU difference: 11397.800000000112 / 11567.680000000111 [-1.47%]
Windows-64-VC14:
OCCT
Total CPU difference: 19328.109375 / 19307.609375 [+0.11%]
Products
Total CPU difference: 12733.328125 / 12920.953125 [-1.45%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0104047)
git (administrator)
2021-09-11 14:06

Branch CR32565 has been deleted by mnt.

SHA-1: 886ffdfdfd9c862c13c1ffc5e768f7b7a464430d

- Related Changesets
occt: master 36d21f1a
Timestamp: 2021-09-09 18:04:21
Author: kgv
Committer: smoskvin
Details ] Diff ]
0032565: Foundation Classes, OSD_FileSystem - expose interface for registering global protocols

Added methods OSD_FileSystem::AddDefaultProtocol()/::RemoveDefaultProtocol()
and fixed misleading description of OSD_FileSystemSelector::AddProtocol().
mod - src/OSD/OSD_FileSystem.cxx Diff ] File ]
mod - src/OSD/OSD_FileSystem.hxx Diff ] File ]
mod - src/OSD/OSD_FileSystemSelector.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-09-09 21:03 kgv New Issue
2021-09-09 21:03 kgv Assigned To => kgv
2021-09-09 21:03 kgv Product Version => 7.6.0*
2021-09-09 21:04 git Note Added: 0103955
2021-09-09 21:05 kgv Note Added: 0103956
2021-09-09 21:05 kgv Assigned To kgv => osa
2021-09-09 21:05 kgv Status new => resolved
2021-09-09 21:05 kgv Relationship added child of 0032099
2021-09-10 19:29 osa Note Added: 0103993
2021-09-10 19:29 osa Assigned To osa => bugmaster
2021-09-10 19:29 osa Status resolved => reviewed
2021-09-11 13:28 smoskvin Note Added: 0104017
2021-09-11 13:28 smoskvin Status reviewed => tested
2021-09-11 13:38 smoskvin Test case number => Not required
2021-09-11 13:43 smoskvin Changeset attached => occt master 36d21f1a
2021-09-11 13:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-11 13:43 smoskvin Status tested => verified
2021-09-11 13:43 smoskvin Resolution open => fixed
2021-09-11 14:06 git Note Added: 0104047


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker